• Post Reply Bookmark Topic Watch Topic
  • New Topic
programming forums Java Mobile Certification Databases Caching Books Engineering Micro Controllers OS Languages Paradigms IDEs Build Tools Frameworks Application Servers Open Source This Site Careers Other all forums
this forum made possible by our volunteer staff, including ...
Marshals:
  • Campbell Ritchie
  • Bear Bibeault
  • Ron McLeod
  • Jeanne Boyarsky
  • Paul Clapham
Sheriffs:
  • Tim Cooke
  • Liutauras Vilda
  • Junilu Lacar
Saloon Keepers:
  • Tim Moores
  • Stephan van Hulst
  • Tim Holloway
  • fred rosenberger
  • salvin francis
Bartenders:
  • Piet Souris
  • Frits Walraven
  • Carey Brown

Jasper Reports: compile .jasper file for earlier version of Java

 
Greenhorn
Posts: 17
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi- I have a web application that runs on a Websphere box. The Websphere version is an older version that requiires JVM V.1.4. I have recently upgraded to JDK version 1.6 on my development box. For my reports, I compile the .jasper files on the development box and deploy those along with the corresponding .jrxml file to the server. Now, after I compile the .jasper files on my development box, my reports are blowing up on the server with a Java version mismatch error. I looked at the Jasper APIs and cannot find an overloaded signature of the JasperCompileManager.compileReportToFile() method that takes a version number as an argument. Does anyone know of a way to get the JasperCompileManager.compileReportToFile() method to compile for an earlier version of Java (short of reverting my JDK back to v.1.4 on my development box)?

Thanks!
 
Don't get me started about those stupid light bulbs.
    Bookmark Topic Watch Topic
  • New Topic